### 3.5 evaluate

The evaluate command executes the commands given as an argument string. Newline characters are not allowed within the string.

Syntax:

          eval <string expression>

This is especially useful for a repetition of similar commands.

Example:

          set_label(x, y, text) \
            = sprintf("set label '%s' at %f, %f point pt 5", text, x, y)
          eval set_label(1., 1., 'one/one')
          eval set_label(2., 1., 'two/one')
          eval set_label(1., 2., 'one/two')

Please see macros for another way to execute commands from a string.